RyanVM.net Discussion Board Forum Index RyanVM.net Discussion Board

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Microsoft .NET Framework 4.0 Client & Extended 20100413

 
Post new topic   Reply to topic    RyanVM.net Discussion Board Forum Index -> Update Pack Addons
View previous topic :: View next topic  
Author Message
user_hidden



Joined: 06 Dec 2007
Posts: 1752
Location: Canada eh!

PostPosted: Tue Apr 13, 2010 3:17 pm    Post subject: Microsoft .NET Framework 4.0 Client & Extended 20100413 Reply with quote

Microsoft .NET Framework 4.0 Client & Extended FULL - 20100413

This is a multimode installer so you have access to the following switches:
-ai = Silent
-ai1 = Passive
/h = displays help

This package is uninstallable from Add/Remove Programs in Control Panel.

The Multimode Installer should be installed from RunOnceEX and not from SVCPACK.
If you are not familiar with setting up RunOnceEX than you should download one of the Addons instead.

This package has the Client Profile and Extended

Link: dotNet40.exe
CRC-32: 03ec93af
MD4: d76c4d6373a8422760573d182f6440a5
MD5: 8cddbac1de11b8980d934ed63f3331a6
SHA-1: 1e486b55f650d3b6a8396bcf7355ce6050b412b7
Date: 20100413
OS: Windows XP SP3 (x86 & x64)
Size: 48.7 MB

===================================

Addon for RVMi 1.6 or higher.

Integrate this addon to run the installer at RunOnceEX.
There will be progress boxes but NO user interaction is required.
Passive mode is used since setup takes a while, this way you will know
where you are in the setup process. Final installation will take
place after OOBE and before Personalized settings occur.

Link: Addon_Microsoft.Net_4.0_ROE_20100413.7z
CRC-32: a53159f7
MD4: e81db31f12c9dc8e55cc1cefeea1b944
MD5: 7079365bdea24f389e7371fb3d41831d
SHA-1: d0a7cce40bb3505a027a60812945c09788c53f16
Date: 20100413
OS: Windows XP SP3 (x86 & x64)
Size: 49.3 MB

===================================

dotNetFWVersionChecker.exe - .NET Framework Setup Verification Tool

Free DotNet VersionCheck Utility


Last edited by user_hidden on Mon May 17, 2010 6:13 am
Back to top
View user's profile Send private message
ChiefZeke



Joined: 23 Mar 2007
Posts: 688
Location: Victorville, California

PostPosted: Tue Apr 13, 2010 4:39 pm    Post subject: Reply with quote

Great job getting this out so fast. Very Happy
Back to top
View user's profile Send private message Send e-mail
kyuuzo



Joined: 02 Dec 2007
Posts: 3

PostPosted: Wed Apr 14, 2010 10:06 am    Post subject: Reply with quote

Thanks! Does this include any previous versions of the .NET Framework?
Back to top
View user's profile Send private message
user_hidden



Joined: 06 Dec 2007
Posts: 1752
Location: Canada eh!

PostPosted: Wed Apr 14, 2010 10:07 am    Post subject: Reply with quote

kyuuzo wrote:
Thanks! Does this include any previous versions of the .NET Framework?


Framework 4.0 only
Back to top
View user's profile Send private message
cosy



Joined: 18 Apr 2006
Posts: 268

PostPosted: Wed Apr 14, 2010 1:11 pm    Post subject: Reply with quote

user_hidden wrote:
Framework 4.0 only


does one need any of those old .nets, when one has this installed?
Thank you
Back to top
View user's profile Send private message
compstuff



Joined: 11 Aug 2006
Posts: 418
Location: Florida

PostPosted: Wed Apr 14, 2010 5:02 pm    Post subject: Reply with quote

I am wondering the same thing Embarassed
Back to top
View user's profile Send private message
adric



Joined: 21 May 2007
Posts: 462

PostPosted: Wed Apr 14, 2010 5:39 pm    Post subject: Reply with quote

cosy wrote:


does one need any of those old .nets, when one has this installed?
Thank you


http://msdn.microsoft.com/en-us/library/ff602939.aspx

Al
Back to top
View user's profile Send private message
user_hidden



Joined: 06 Dec 2007
Posts: 1752
Location: Canada eh!

PostPosted: Wed Apr 14, 2010 7:59 pm    Post subject: Reply with quote

cosy wrote:

does one need any of those old .nets, when one has this installed?
Thank you


it's a tossup!

it will have to be seen how older software written for pre-dotnet4 will work alone with 4.0 or requires the older versions as well.

reports from users would be helpfull to know what software worls with 4 and what software requires older versions when 4 is installed.
Back to top
View user's profile Send private message
ELiTE



Joined: 08 Apr 2007
Posts: 12884
Location: Canada

PostPosted: Wed Apr 14, 2010 9:19 pm    Post subject: Reply with quote

Preliminary testing on a VM indicates NET 4 can't be installed alone. Needs runtimes from earlier NET releases. Requires further testing.
_________________
By downloading an ELiTE Switchless Installer Addon you, the End User, agree to abide by any Terms of Use prescribed by the Freeware App contained within.
Back to top
View user's profile Send private message
5eraph
Moderator


Joined: 05 Jul 2005
Posts: 3895
Location: Riverview, MI USA

PostPosted: Wed Apr 14, 2010 9:21 pm    Post subject: Reply with quote

nLite complains when .NET 4 is installed alone.

And here I was hoping Microsoft had reversed its bloat-loving ways by releasing a small standalone replacement for all previous versions. Sad
Back to top
View user's profile Send private message
ricktendo64



Joined: 21 May 2006
Posts: 3166
Location: Honduras

PostPosted: Wed Apr 14, 2010 9:43 pm    Post subject: Reply with quote

Where are the F@#%ing! lang packs Bill?
_________________

Please, donate any old PC hardware
Save time & space on your HDD/SSD with these installer repacks
Back to top
View user's profile Send private message
newsposter



Joined: 14 Sep 2005
Posts: 1131

PostPosted: Wed Apr 14, 2010 9:52 pm    Post subject: Reply with quote

Office 2007 insists on having .Net 3.5 installed, won't proceed with 4.0
Back to top
View user's profile Send private message
ELiTE



Joined: 08 Apr 2007
Posts: 12884
Location: Canada

PostPosted: Thu Apr 15, 2010 12:19 am    Post subject: Reply with quote

Okay. Results are in. With Net 2, 3 and 3.5 already installed, Net 4 will install just fine. I used Stimpy_JD976_DotNetFx_3in1_Addon_v2.2 and my own Net 4 switchless on XP Pro SP3 with nLite 1.4.9.1 ...... Cool
_________________
By downloading an ELiTE Switchless Installer Addon you, the End User, agree to abide by any Terms of Use prescribed by the Freeware App contained within.
Back to top
View user's profile Send private message
user_hidden



Joined: 06 Dec 2007
Posts: 1752
Location: Canada eh!

PostPosted: Thu Apr 15, 2010 6:22 am    Post subject: Reply with quote

just as i suspected, it seems that we need previous versions....thanks MS !
Back to top
View user's profile Send private message
dumpydooby



Joined: 15 Jan 2006
Posts: 526

PostPosted: Thu Apr 15, 2010 10:07 am    Post subject: Reply with quote

It's not Microsoft's fault (except for Office, obviously). It's the fault of programmers hardcoding paths and version requirements directly into their software. Best practice is to check for the availability of functionality.
Back to top
View user's profile Send private message
jaynbe



Joined: 27 Apr 2009
Posts: 277

PostPosted: Thu Apr 15, 2010 1:12 pm    Post subject: Reply with quote

ricktendo64 wrote:
Where are the F@#%ing! lang packs Bill?


Not available yet, only a few beta packs for now
http://www.microsoft.com/downloads/details.aspx?FamilyID=178a0003-f791-4ff3-b6f6-633f0ad1740d&displaylang=de

VC08 & VC09 runtimes required for installing dotNET 4.0
Back to top
View user's profile Send private message
eroder



Joined: 14 Jan 2008
Posts: 6

PostPosted: Thu Apr 15, 2010 1:39 pm    Post subject: Reply with quote

Bejesuz, but you are one speedy gonzalez pertaining to .Net addons.
Thanx a lot and cudos to you.

PS u have a private paypal account for some ching? I'll gladly donate a couple of cents
just to keep you going and your fingers greased.....
Back to top
View user's profile Send private message
biatche
I can't read


Joined: 04 May 2006
Posts: 326

PostPosted: Fri Apr 16, 2010 5:57 am    Post subject: Reply with quote

any idea if this will work in win7? i presume .net 3.51 must be preinstalled.
Back to top
View user's profile Send private message
bphlpt



Joined: 19 Apr 2008
Posts: 1051

PostPosted: Fri Apr 16, 2010 6:48 am    Post subject: Reply with quote

Unless you have removed them, Windows 7 comes with 1.1 SP1, 2.0 SP2, 3.0 SP2, & 3.5 SP1 installed. As far as I know, unless something's different about this installer this should work with Windows 7. If you find out anything different, please pass the information along to us.

Cheers and Regards
Back to top
View user's profile Send private message
ricktendo64



Joined: 21 May 2006
Posts: 3166
Location: Honduras

PostPosted: Fri Apr 16, 2010 10:18 am    Post subject: Reply with quote

Yes its for Windows 7 also, make sure you have 3.5 turned on not off
_________________

Please, donate any old PC hardware
Save time & space on your HDD/SSD with these installer repacks
Back to top
View user's profile Send private message
ChiefZeke



Joined: 23 Mar 2007
Posts: 688
Location: Victorville, California

PostPosted: Fri Apr 16, 2010 1:38 pm    Post subject: Reply with quote

biatche wrote:
any idea if this will work in win7? i presume .net 3.51 must be preinstalled.

Works just fine on Win7 32- and 64-bit - I installed it for both. Very Happy
Back to top
View user's profile Send private message Send e-mail
compstuff



Joined: 11 Aug 2006
Posts: 418
Location: Florida

PostPosted: Mon May 17, 2010 12:33 am    Post subject: Reply with quote

I am testing a fresh install using this addon with Aaron Stebner's .NET Framework Setup Verification Tool and both the client and full tests fail... does anyone else have the same result?
Back to top
View user's profile Send private message
pegasus



Joined: 07 Jul 2008
Posts: 142

PostPosted: Mon May 17, 2010 1:51 am    Post subject: Reply with quote

compstuff wrote:
I am testing a fresh install using this addon with Aaron Stebner's .NET Framework Setup Verification Tool and both the client and full tests fail... does anyone else have the same result?


I got the same result. Both the client & full test fail to detect .Net Framework 4.0 is properly installed using this addon.
Back to top
View user's profile Send private message
user_hidden



Joined: 06 Dec 2007
Posts: 1752
Location: Canada eh!

PostPosted: Mon May 17, 2010 6:08 am    Post subject: Reply with quote

pegasus wrote:
compstuff wrote:
I am testing a fresh install using this addon with Aaron Stebner's .NET Framework Setup Verification Tool and both the client and full tests fail... does anyone else have the same result?


I got the same result. Both the client & full test fail to detect .Net Framework 4.0 is properly installed using this addon.



YES the dotNet is installed properly.

Aaron has released a new verifier on his blog but IMHO it does not work.

First post at bottom has 2 links to verifiers that DO work for dotNet4.
Back to top
View user's profile Send private message
compstuff



Joined: 11 Aug 2006
Posts: 418
Location: Florida

PostPosted: Mon May 17, 2010 6:56 am    Post subject: Reply with quote

Well for sure his tool definitely fails and the two tools you link to report OK so thanks very much
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    RyanVM.net Discussion Board Forum Index -> Update Pack Addons All times are GMT - 5 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group